<template>
	<view class="fixedButtom view-global">
		<u-button :text="title" :color="color" @click="clickBtn" :customStyle="{
			height:'88rpx',
			borderRadius: '16rpx'
		}"></u-button>
	</view>
</template>

<script>
	export default {
		props: {
			color: {
				type: String,
				default: 'linear-gradient(90deg, #3976F1 0%, #3CA0F6 100%)'
			},
			title: {
				type: String,
				default: '申请复核'
			}
		},
		name: "fixedButtom",
		data() {
			return {

			};
		},
		methods: {
			clickBtn() {
				this.$emit('click')
			}
		},
	}
</script>

<style lang="scss">
	.fixedButtom {
		position: fixed;
		bottom: 0;
		left: 0;
		width: 100%;
		background: #fff;
		padding: 20rpx 20rpx calc(20rpx + constant(safe-area-inset-bottom));
		/* 兼容 iOS < 11.2 */
		padding: 20rpx 20rpx calc(20rpx + env(safe-area-inset-bottom));
		/* 兼容 iOS >= 11.2 */
		border-top: 1px solid #DCE3EC;
		z-index: 3;
	}
</style>